Name: compiz-quinnstorm
Version: 0.0.13.57
Release: %mkrel 3
Summary: OpenGL composite manager for Xgl and AIGLX
Group: System/X11
URL: http://compiz.net
# NB Tarballs generated by this script: http://www.compiz.net/viewtopic.php?pid=36560#p36577
Source: %{name}-%{version}.tar.bz2
Source1: compiz.xinit
Source2: compiz.sysconfig
Source3: compiz-start
Patch: 0003-Set-_NET_WM_CM_S-d-selection-instead-of-older-WM_S-d.txt
Patch1: do_not_bind_destroyed_windows.patch

License: GPL
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: X11-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: x11-proto-devel
BuildRequires: libpng-devel
BuildRequires: libwnck-devel
BuildRequires: libgnome-window-settings-devel
BuildRequires: gnome-desktop-devel
BuildRequires: libxcomposite-devel
BuildRequires: libxdamage-devel
BuildRequires: intltool

Requires: compiz-quinnstorm-plugins
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: csm

Conflicts: compiz

%description
OpenGL composite manager for Xgl and AIGLX.

This package is the version as developed by the community based over
at http://www.compiz.net/

This package is named after Quinnstorm, the handle of the lady who
has pushed this development to where it is today with the help
of many other developers who spend their time making eye candy
for the rest of us!

%post
%update_menus
%{update_desktop_database}

%postun
%clean_menus
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_sysconfdir}/X11/xinit.d/40%{name}
%{_sysconfdir}/sysconfig/compiz
%config(noreplace) %{_bindir}/compiz
%{_bindir}/compiz-start
%{_bindir}/gnome-window-decorator
%{_libdir}/window-manager-settings/libcompiz.so
%{_libdir}/window-manager-settings/libcompiz.la
%{_datadir}/compiz/*
%{_datadir}/gnome/wm-properties/compiz.desktop
# FIXME: create i18n packages
%{_datadir}/locale/*/LC_MESSAGES/compiz.mo

%{_mandir}/man1/compiz.1.bz2
%{_mandir}/man1/compiz.real.1.bz2
%{_mandir}/man1/gnome-window-decorator.1.bz2

#--------------------------------------------------------------------

%package devel
Summary: Development files for compiz
Group: Development/X11

%description devel
Development files for compiz

%files devel
%defattr(-,root,root)
%{_includedir}/compiz/compiz.h
%{_libdir}/pkgconfig/compiz.pc
%{_libdir}/window-manager-settings/libcompiz.a

#--------------------------------------------------------------------

%prep
%setup -q
%patch -p1 -b .net_wm_cm
%patch1 -p2 -b .no_bind_dest

%build
# This is a CVS snapshot, so we need to generate makefiles.
sh autogen.sh

%configure2_5x \
                --x-includes=%{_includedir}\
                --x-libraries=%{_libdir} \
                --disable-kde \
                --enable-gnome

%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -D -m 0755 %SOURCE1 %{buildroot}%{_sysconfdir}/X11/xinit.d/40%{name}
install -D -m 0644 %SOURCE2 %{buildroot}%{_sysconfdir}/sysconfig/compiz
install -D -m 0755 %SOURCE3 %{buildroot}%{_bindir}/compiz-start

perl -pi -e "s!__LIBDIR__!%{_libdir}!" %{buildroot}%{_bindir}/compiz-start

# Remove novell png
rm -f %{buildroot}%{_datadir}/compiz/novell.png

# The below rm -f just doesn't work!!! I had to include in the files section!!
#rm -f %{buildroot}%{_mandir}/man1/compiz.real.1.bz2

%clean
rm -rf %{buildroot}



%changelog
* Wed Sep 20 2006 Colin Guthrie <cguthrie@mandriva org>
+ 2006-09-20 00:04:39 (62423)
- Apply upstream beryl patch to fix Xgl memory leaks.

* Tue Sep 19 2006 Colin Guthrie <cguthrie@mandriva org>
+ 2006-09-19 20:17:06 (62406)
- Slight tidyup
- Remove unneeded build options/requires
- Add back in conflict with compiz to make installation of compiz (vanilla) work correctly

* Tue Sep 19 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-09-19 13:47:49 (62344)
- Remove changelog from specfile

* Tue Sep 19 2006 plouf
+ 2006-09-19 13:36:18 (62340)
- Re add conflict with compiz in the futur join #compiz-dev on freenode before to upgrade

* Mon Sep 18 2006 Colin Guthrie <cguthrie@mandriva org>
+ 2006-09-18 02:01:40 (61860)
- Fix config file and move .la to -devel

* Mon Sep 18 2006 Colin Guthrie <cguthrie@mandriva org>
+ 2006-09-18 00:58:41 (61831)
- Move stray .a file to -devel

* Mon Sep 18 2006 Colin Guthrie <cguthrie@mandriva org>
+ 2006-09-18 00:05:53 (61817)
- Latest source tarball.

* Mon Sep 18 2006 Colin Guthrie <cguthrie@mandriva org>
+ 2006-09-18 00:04:28 (61816)
- Update to latest version.
- Change to use /etc/sysconfig/compiz
- Add option for auto-window-decorator mode
- Only package compiz core (plugins in separate package now)

* Sun Sep 17 2006 Colin Guthrie <cguthrie@mandriva org>
+ 2006-09-17 16:22:28 (61796)
- Fix xinit.d start order to make sure DBUS has started first.

* Sat Sep 16 2006 Colin Guthrie <cguthrie@mandriva org>
+ 2006-09-16 14:03:14 (61727)
- Port across startup changes from compiz package

* Wed Aug 16 2006 plouf
+ 2006-08-16 20:07:24 (56447)
- Fix quinnstorm.schemas values

* Tue Aug 15 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-15 11:58:41 (56170)
- Add conflicts against compiz

* Tue Aug 15 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-15 11:56:35 (56169)
- Import compiz-quinnstorm


* Tue Aug 15 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.0.13.27-4mdv2007.0
- Fix rpmlint warnings

* Mon Aug 14 2006 plouf
+ 2006-08-14
-Change wobbly plugin default values

* Mon Aug 14 2006 plouf
+ 2006-08-14
- modify compizrc-gnome script

* Sun Aug 13 2006 plouf
+ 2006-08-13
-First Mandriva Linux release
